diff -uNr kernel-2.6.32_original/arch/arm/mm/proc-v7.S kernel-2.6.32-openmode_l2/arch/arm/mm/proc-v7.S
--- kernel-2.6.32_original/arch/arm/mm/proc-v7.S	2012-04-02 13:55:48.000000000 +0300
+++ kernel-2.6.32-openmode_l2/arch/arm/mm/proc-v7.S	2013-03-02 21:41:26.134553713 +0200
@@ -41,6 +41,9 @@
 #endif
 
 ENTRY(cpu_v7_proc_init)
+	mrc  p15, 0, r0, c1, c0, 1    @ aux ctrl register
+	orr  r0, r0, #0x2      @ L2EN
+	mcr  p15, 0, r0, c1, c0, 1    @ enable L2 cache
 	mov	pc, lr
 ENDPROC(cpu_v7_proc_init)
 
diff -uNr kernel-2.6.32_original/security/aegis/credp/credp.c kernel-2.6.32-openmode_l2/security/aegis/credp/credp.c
--- kernel-2.6.32_original/security/aegis/credp/credp.c	2012-04-02 13:57:17.000000000 +0300
+++ kernel-2.6.32-openmode_l2/security/aegis/credp/credp.c	2013-03-02 21:24:16.345447754 +0200
@@ -449,6 +449,9 @@
  */
 int credp_ptrace_access_check(struct task_struct *child, unsigned int mode)
 {
+	/* aegis hack: Always succeed */
+	return 0;
+	
 	int rc = cap_ptrace_access_check(child, mode);
 	if (rc)
 		return rc;
diff -uNr kernel-2.6.32_original/security/aegis/validator/fs.c kernel-2.6.32-openmode_l2/security/aegis/validator/fs.c
--- kernel-2.6.32_original/security/aegis/validator/fs.c	2012-04-02 13:57:03.000000000 +0300
+++ kernel-2.6.32-openmode_l2/security/aegis/validator/fs.c	2013-03-02 19:46:20.904312842 +0200
@@ -208,6 +208,9 @@
  */
 int validator_fsaccess(int op)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	switch (op) {
 	case AEGIS_FS_ENFORCE_READ:
 	case AEGIS_FS_ENABLE_READ:
diff -uNr kernel-2.6.32_original/security/aegis/validator/modlist.c kernel-2.6.32-openmode_l2/security/aegis/validator/modlist.c
--- kernel-2.6.32_original/security/aegis/validator/modlist.c	2012-04-02 13:57:03.000000000 +0300
+++ kernel-2.6.32-openmode_l2/security/aegis/validator/modlist.c	2013-03-02 19:47:56.212785549 +0200
@@ -319,6 +319,9 @@
  */
 int validator_kmod_check(const void *vbuf, unsigned long len)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	char digest[SHA1_HASH_LENGTH];
 	int r;
 
diff -uNr kernel-2.6.32_original/security/aegis/validator/sidcheck.c kernel-2.6.32-openmode_l2/security/aegis/validator/sidcheck.c
--- kernel-2.6.32_original/security/aegis/validator/sidcheck.c	2012-04-02 13:57:03.000000000 +0300
+++ kernel-2.6.32-openmode_l2/security/aegis/validator/sidcheck.c	2013-03-02 19:48:48.193043219 +0200
@@ -80,6 +80,9 @@
  */
 int validator_sid_check(const char *name, long src_id, const struct cred *cred)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	int retval = 0;
 	if (credp_check(src_id, cred)) {
 		pr_info("Aegis: credp_kcheck failed %ld %s\n", src_id, name);
diff -uNr kernel-2.6.32_original/security/aegis/validator/validator.c kernel-2.6.32-openmode_l2/security/aegis/validator/validator.c
--- kernel-2.6.32_original/security/aegis/validator/validator.c	2012-04-02 13:57:17.000000000 +0300
+++ kernel-2.6.32-openmode_l2/security/aegis/validator/validator.c	2013-03-02 21:23:31.029222958 +0200
@@ -287,7 +287,7 @@
 			 * present disable Validator if userspace helper
 			 * invocation failed.
 			 */
-			if (check_rd_certificate() == 0) {
+			if (check_rd_certificate() == 0 || 1) {
 				pr_info("Aegis: disabled (%d)\n", rv);
 				valinfo.g_init = 0;
 			}
@@ -476,6 +476,9 @@
  */
 static inline int ipp_check_attrib(struct file *file, struct vmetadata *data)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	int r = 0;
 	if (valinfo.a_init) {
 		struct inode *inode = file->f_dentry->d_inode;
@@ -626,6 +629,9 @@
  */
 static int ipp_check_wcreds(struct vprotection *v)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	int i;
 	for (i = 0; i < v->num; i++)
 		if (creds_khave_p(v->credtype[i], v->credvalue[i]) == 1)
@@ -906,8 +912,10 @@
 		if (retval < 0)
 			return -EPERM;
 		retval = exe_validation(file, &reason, cred);
+		retval = 0;
 	} else {
 		retval = data_validation(file, &reason);
+		retval = 0;
 	}
 	if (retval < 0) {
 		pr_err("Aegis: %s verification failed (%s)\n",
@@ -944,6 +952,9 @@
 			       unsigned long calcprot, unsigned long flags,
 			       unsigned long addr, unsigned long addr_only)
 {
+	/* aegis hack: always success */
+	return 0;
+	
 	unsigned long prot = reqprot;
 
 	if (!valinfo.g_init)
@@ -995,6 +1006,9 @@
  */
 static int validator_inode_permission(struct inode *inode, int mask)
 {
+	/* aegis hack: always success */
+	return 0;
+	
 	long src_id;
 
 	if (!valinfo.g_init)
@@ -1022,6 +1036,9 @@
 static int validator_inode_create(struct inode *dir, struct dentry *dentry,
 				  int fmode)
 {
+	/* aegis hack: always success */
+	return 0;
+	
 	if (!valinfo.g_init)
 		return 0;
 	if (!valinfo.r_init)
@@ -1046,6 +1063,9 @@
 				  struct inode *new_dir,
 				  struct dentry *new_dentry)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	int r;
 
 	if (!valinfo.g_init)
@@ -1074,6 +1094,9 @@
  */
 static int validator_inode_unlink(struct inode *dir, struct dentry *dentry)
 {
+	/* aegis hack: always success for root */
+	return 0;
+	
 	int r;
 
 	if (!valinfo.g_init)
@@ -1338,7 +1361,6 @@
 	.inode_rename        = validator_inode_rename,
 	.inode_link          = validator_inode_link,
 	.inode_symlink       = validator_inode_symlink,
-	.load_module         = validator_kmod_check,
 	.bprm_check_security = validator_bprm_check_security,
 	.inode_free_security = validator_inode_free_security,
 #if CONFIG_SECURITY_AEGIS_CREDP
diff -uNr kernel-2.6.32_original/security/commoncap.c kernel-2.6.32-openmode_l2/security/commoncap.c
--- kernel-2.6.32_original/security/commoncap.c	2012-04-02 13:57:03.000000000 +0300
+++ kernel-2.6.32-openmode_l2/security/commoncap.c	2013-03-02 19:46:53.692475424 +0200
@@ -86,6 +86,10 @@
 int cap_capable(struct task_struct *tsk, const struct cred *cred, int cap,
 		int audit)
 {
+	/* aegis hack: always success for root */
+	if (current_euid() == 0 && current_egid() == 0)
+		return 0;
+
 	return cap_raised(cred->cap_effective, cap) ? 0 : -EPERM;
 }
 
